<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AbsenceDriver StructType
 * @subpackage Structs
 */
class AbsenceDriver extends AbstractStructBase
{
    /**
     * The Driver
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Identifier
     */
    public $Driver;
    /**
     * The Absences
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfAbsence
     */
    public $Absences;
    /**
     * Constructor method for AbsenceDriver
     * @uses AbsenceDriver::setDriver()
     * @uses AbsenceDriver::setAbsences()
     * @param \StructType\Identifier $driver
     * @param \ArrayType\ArrayOfAbsence $absences
     */
    public function __construct(\StructType\Identifier $driver = null, \ArrayType\ArrayOfAbsence $absences = null)
    {
        $this
            ->setDriver($driver)
            ->setAbsences($absences);
    }
    /**
     * Get Driver value
     * @return \StructType\Identifier|null
     */
    public function getDriver()
    {
        return $this->Driver;
    }
    /**
     * Set Driver value
     * @param \StructType\Identifier $driver
     * @return \StructType\AbsenceDriver
     */
    public function setDriver(\StructType\Identifier $driver = null)
    {
        $this->Driver = $driver;
        return $this;
    }
    /**
     * Get Absences value
     * @return \ArrayType\ArrayOfAbsence|null
     */
    public function getAbsences()
    {
        return $this->Absences;
    }
    /**
     * Set Absences value
     * @param \ArrayType\ArrayOfAbsence $absences
     * @return \StructType\AbsenceDriver
     */
    public function setAbsences(\ArrayType\ArrayOfAbsence $absences = null)
    {
        $this->Absences = $absences;
        return $this;
    }
}
